Debian Bug report logs - #632923
linux-tools-2.6.39: perf tries to read ./config, fails if it is not a perf config file

version graph

Package: linux-tools-2.6.39; Maintainer for linux-tools-2.6.39 is (unknown);

Reported by: Christian Ohm <chr.ohm@gmx.net>

Date: Thu, 7 Jul 2011 02:48:01 UTC

Severity: normal

Tags: upstream

Found in version linux-2.6/2.6.39-3

Fixed in versions linux-2.6/3.0.0-2, linux-2.6/2.6.32-35squeeze1

Done: dann frazier <dannf@debian.org>

Bug is archived. No further changes may be made.

Forwarded to linux-kernel@vger.kernel.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#632923; Package linux-tools-2.6.39. (Thu, 07 Jul 2011 02:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Ohm <chr.ohm@gmx.net>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 07 Jul 2011 02:48:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Ohm <chr.ohm@gmx.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-tools-2.6.39: perf tries to read ./config, fails if it is not a perf config file
Date: Thu, 7 Jul 2011 04:45:06 +0200
Package: linux-tools-2.6.39
Version: 2.6.39-3
Severity: normal

Hello,

When running perf, it looks for a config file in /etc/perfconfig,
~/.perfconfig, and ./config (according to strace). If ./config is not a
perf configuration, it fails (or possibly does unexpected things). Since
"config" is a quite generic name (I have 175 files with that name on my
system) it would be nice if this is changed to e.g. ./.perfconfig.

Best regards,
Christian Ohm

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'testing'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-tools-2.6.39 depends on:
ii  libc6                        2.13-10     Embedded GNU C Library: Shared lib
ii  libelf1                      0.152-1     library to read and write ELF file
ii  libnewt0.52                  0.52.11-2.1 Not Erik's Windowing Toolkit - tex
ii  libperl5.12                  5.12.4-1    shared Perl library
ii  libpython2.6                 2.6.7-2     Shared Python runtime library (ver
ii  libslang2                    2.2.4-2     S-Lang programming library - runti
ii  perl                         5.12.4-1    Larry Wall's Practical Extraction 
ii  python                       2.6.6-14    interactive high-level object-orie
ii  python-support               1.0.14      automated rebuilding support for P

Versions of packages linux-tools-2.6.39 recommends:
ii  linux-base                    3.3        Linux image base package

Versions of packages linux-tools-2.6.39 suggests:
pn  linux-doc-2.6.39              <none>     (no description available)

-- no debconf information

-- 
Sendmail may be safely run set-user-id to root.
		-- Eric Allman, "Sendmail Installation Guide"




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#632923; Package linux-tools-2.6.39. (Thu, 07 Jul 2011 03:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 07 Jul 2011 03:57:03 GMT) Full text and rfc822 format available.

Message #10 received at 632923@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Peter Zijlstra <a.p.zijlstra@chello.nl>, Paul Mackerras <paulus@samba.org>, Ingo Molnar <mingo@elte.hu>, Arnaldo Carvalho de Melo <acme@ghostprotocols.net>
Cc: 632923@bugs.debian.org, Christian Ohm <chr.ohm@gmx.net>, LKML <linux-kernel@vger.kernel.org>
Subject: Re: Bug#632923: linux-tools-2.6.39: perf tries to read ./config, fails if it is not a perf config file
Date: Thu, 07 Jul 2011 04:55:13 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2011-07-07 at 04:45 +0200, Christian Ohm wrote:
> Package: linux-tools-2.6.39
> Version: 2.6.39-3
> Severity: normal
> 
> Hello,
> 
> When running perf, it looks for a config file in /etc/perfconfig,
> ~/.perfconfig, and ./config (according to strace). If ./config is not a
> perf configuration, it fails (or possibly does unexpected things). Since
> "config" is a quite generic name (I have 175 files with that name on my
> system) it would be nice if this is changed to e.g. ./.perfconfig.

This indeed seems like a misfeature.

Is perf supposed to be invoked in directories dedicated to its use?  If
not, why should it expect a generically-named file to belong to it?

Ben.

-- 
Ben Hutchings
The most exhausting thing in life is being insincere. - Anne Morrow Lindberg
[signature.asc (application/pgp-signature, inline)]

Added tag(s) upstream. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 07 Jul 2011 03:57:04 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'linux-kernel@vger.kernel.org'. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Thu, 07 Jul 2011 03:57:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#632923; Package linux-tools-2.6.39. (Fri, 05 Aug 2011 17:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 05 Aug 2011 17:03:06 GMT) Full text and rfc822 format available.

Message #19 received at 632923@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: Peter Zijlstra <a.p.zijlstra@chello.nl>, Paul Mackerras <paulus@samba.org>, Ingo Molnar <mingo@elte.hu>, Arnaldo Carvalho de Melo <acme@ghostprotocols.net>, 632923@bugs.debian.org, Christian Ohm <chr.ohm@gmx.net>, LKML <linux-kernel@vger.kernel.org>
Subject: [PATCH] perf: do not look at ./config for configuration
Date: Fri, 5 Aug 2011 18:58:38 +0200
In addition to /etc/perfconfig and $HOME/.perfconfig, perf looks for
configuration in the file ./config, imitating git which looks at
$GIT_DIR/config.  If ./config is not a perf configuration file, it
fails, or worse, treats it as a configuration file and changes
behavior in some unexpected way.

"config" is not an unusual name for a file to be lying around and perf
does not have a private directory dedicated for its own use, so let's
just stop looking for configuration in the cwd.  Callers needing
context-sensitive configuration can use the PERF_CONFIG environment
variable.

Requested-by: Christian Ohm <chr.ohm@gmx.net>
Signed-off-by: Jonathan Nieder <jrnieder@gmail.com>
---
Thoughts?

 tools/perf/util/config.c |    7 -------
 1 files changed, 0 insertions(+), 7 deletions(-)

diff --git a/tools/perf/util/config.c b/tools/perf/util/config.c
index e02d78ca..6c86eca8 100644
--- a/tools/perf/util/config.c
+++ b/tools/perf/util/config.c
@@ -399,7 +399,6 @@ static int perf_config_global(void)
 int perf_config(config_fn_t fn, void *data)
 {
 	int ret = 0, found = 0;
-	char *repo_config = NULL;
 	const char *home = NULL;
 
 	/* Setting $PERF_CONFIG makes perf read _only_ the given config file. */
@@ -421,12 +420,6 @@ int perf_config(config_fn_t fn, void *data)
 		free(user_config);
 	}
 
-	repo_config = perf_pathdup("config");
-	if (!access(repo_config, R_OK)) {
-		ret += perf_config_from_file(fn, repo_config, data);
-		found += 1;
-	}
-	free(repo_config);
 	if (found == 0)
 		return -1;
 	return ret;
-- 
1.7.6





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#632923; Package linux-tools-2.6.39. (Fri, 05 Aug 2011 17:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnaldo Carvalho de Melo <acme@ghostprotocols.net>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 05 Aug 2011 17:39:08 GMT) Full text and rfc822 format available.

Message #24 received at 632923@bugs.debian.org (full text, mbox):

From: Arnaldo Carvalho de Melo <acme@ghostprotocols.net>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: Ben Hutchings <ben@decadent.org.uk>, Peter Zijlstra <a.p.zijlstra@chello.nl>, Paul Mackerras <paulus@samba.org>, Ingo Molnar <mingo@elte.hu>, 632923@bugs.debian.org, Christian Ohm <chr.ohm@gmx.net>, LKML <linux-kernel@vger.kernel.org>
Subject: Re: [PATCH] perf: do not look at ./config for configuration
Date: Fri, 5 Aug 2011 14:34:47 -0300
Em Fri, Aug 05, 2011 at 06:58:38PM +0200, Jonathan Nieder escreveu:
> In addition to /etc/perfconfig and $HOME/.perfconfig, perf looks for
> configuration in the file ./config, imitating git which looks at
> $GIT_DIR/config.  If ./config is not a perf configuration file, it
> fails, or worse, treats it as a configuration file and changes
> behavior in some unexpected way.
> 
> "config" is not an unusual name for a file to be lying around and perf
> does not have a private directory dedicated for its own use, so let's
> just stop looking for configuration in the cwd.  Callers needing
> context-sensitive configuration can use the PERF_CONFIG environment
> variable.

Thanks, I'll apply this one.

- Arnaldo




Added tag(s) pending. Request was from Ben Hutchings <benh@alioth.debian.org> to control@bugs.debian.org. (Sun, 07 Aug 2011 18:48:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#632923; Package linux-tools-2.6.39. (Mon, 08 Aug 2011 16:42:39 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnaldo Carvalho de Melo <acme@infradead.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 08 Aug 2011 16:42:39 GMT) Full text and rfc822 format available.

Message #31 received at 632923@bugs.debian.org (full text, mbox):

From: Arnaldo Carvalho de Melo <acme@infradead.org>
To: Ingo Molnar <mingo@elte.hu>
Cc: linux-kernel@vger.kernel.org, Jonathan Nieder <jrnieder@gmail.com>, 632923@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>, Christian Ohm <chr.ohm@gmx.net>, Ingo Molnar <mingo@elte.hu>, Paul Mackerras <paulus@samba.org>, Peter Zijlstra <a.p.zijlstra@chello.nl>, Arnaldo Carvalho de Melo <acme@redhat.com>
Subject: [PATCH 4/4] perf tools: do not look at ./config for configuration
Date: Mon, 8 Aug 2011 12:52:56 -0300
From: Jonathan Nieder <jrnieder@gmail.com>

In addition to /etc/perfconfig and $HOME/.perfconfig, perf looks for
configuration in the file ./config, imitating git which looks at
$GIT_DIR/config.  If ./config is not a perf configuration file, it
fails, or worse, treats it as a configuration file and changes behavior
in some unexpected way.

"config" is not an unusual name for a file to be lying around and perf
does not have a private directory dedicated for its own use, so let's
just stop looking for configuration in the cwd.  Callers needing
context-sensitive configuration can use the PERF_CONFIG environment
variable.

Requested-by: Christian Ohm <chr.ohm@gmx.net>
Cc: 632923@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>
Cc: Christian Ohm <chr.ohm@gmx.net>
Cc: Ingo Molnar <mingo@elte.hu>
Cc: Paul Mackerras <paulus@samba.org>
Cc: Peter Zijlstra <a.p.zijlstra@chello.nl>
Link: http://lkml.kernel.org/r/20110805165838.GA7237@elie.gateway.2wire.net
Signed-off-by: Jonathan Nieder <jrnieder@gmail.com>
Signed-off-by: Arnaldo Carvalho de Melo <acme@redhat.com>
---
 tools/perf/util/config.c |    7 -------
 1 files changed, 0 insertions(+), 7 deletions(-)

diff --git a/tools/perf/util/config.c b/tools/perf/util/config.c
index e02d78c..6c86eca 100644
--- a/tools/perf/util/config.c
+++ b/tools/perf/util/config.c
@@ -399,7 +399,6 @@ static int perf_config_global(void)
 int perf_config(config_fn_t fn, void *data)
 {
 	int ret = 0, found = 0;
-	char *repo_config = NULL;
 	const char *home = NULL;
 
 	/* Setting $PERF_CONFIG makes perf read _only_ the given config file. */
@@ -421,12 +420,6 @@ int perf_config(config_fn_t fn, void *data)
 		free(user_config);
 	}
 
-	repo_config = perf_pathdup("config");
-	if (!access(repo_config, R_OK)) {
-		ret += perf_config_from_file(fn, repo_config, data);
-		found += 1;
-	}
-	free(repo_config);
 	if (found == 0)
 		return -1;
 	return ret;
-- 
1.6.2.5





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#632923; Package linux-tools-2.6.39. (Mon, 08 Aug 2011 16:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arnaldo Carvalho de Melo <acme@infradead.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 08 Aug 2011 16:57:05 GMT) Full text and rfc822 format available.

Message #36 received at 632923@bugs.debian.org (full text, mbox):

From: Arnaldo Carvalho de Melo <acme@infradead.org>
To: Ingo Molnar <mingo@elte.hu>
Cc: linux-kernel@vger.kernel.org, Arnaldo Carvalho de Melo <acme@infradead.org>, 632923@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>, Christian Ohm <chr.ohm@gmx.net>, Jonathan Nieder <jrnieder@gmail.com>, Jovi Zhang <bookjovi@gmail.com>, Kusanagi Kouichi <slash@ac.auone-net.jp>, Paul Mackerras <paulus@samba.org>, Peter Zijlstra <a.p.zijlstra@chello.nl>, Zhu Yanhai <gaoyang.zyh@taobao.com>
Subject: [GIT PULL 0/4] perf/core fixes
Date: Mon, 8 Aug 2011 12:52:52 -0300
Hi Ingo,

        Please consider pulling from:

git://git.kernel.org/pub/scm/linux/kernel/git/acme/linux perf/core

	I did it on perf/core but I guess at this point you should just pull it
into tip/perf/urgent :-)

Regards,

- Arnaldo

Jonathan Nieder (1):
  perf tools: do not look at ./config for configuration

Jovi Zhang (1):
  perf probe: Fix coredump introduced by probe module option

Kusanagi Kouichi (1):
  perf tools: Make clean leaves some files

Zhu Yanhai (1):
  perf lock: Dropping unsupported ':r' modifier

 tools/perf/Makefile           |    2 +-
 tools/perf/builtin-lock.c     |    8 ++++----
 tools/perf/util/config.c      |    7 -------
 tools/perf/util/probe-event.c |   12 ++++++++----
 4 files changed, 13 insertions(+), 16 deletions(-)





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#632923; Package linux-tools-2.6.39. (Mon, 08 Aug 2011 21:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 08 Aug 2011 21:54:03 GMT) Full text and rfc822 format available.

Message #41 received at 632923@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: oss-security@lists.openwall.com
Cc: Peter Zijlstra <a.p.zijlstra@chello.nl>, Christian Ohm <chr.ohm@gmx.net>, Paul Mackerras <paulus@samba.org>, Ingo Molnar <mingo@elte.hu>, Arnaldo Carvalho de Melo <acme@ghostprotocols.net>, 632923@bugs.debian.org
Subject: CVE request: perf: may parse user-controlled config file
Date: Sun, 7 Aug 2011 11:34:38 -0600
This was reported by Christian Ohm at:
  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=632923

The perf command, provided as part of the Linux kernel source, looks
for and honors configuration settings in ./config. A local user could
obtain elevated privileges by convincing a superuser to run the perf
command from a directory the user controls.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#632923; Package linux-tools-2.6.39. (Tue, 09 Aug 2011 13:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Grubb <sgrubb@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 09 Aug 2011 13:21:06 GMT) Full text and rfc822 format available.

Message #46 received at 632923@bugs.debian.org (full text, mbox):

From: Steve Grubb <sgrubb@redhat.com>
To: oss-security@lists.openwall.com
Cc: dann frazier <dannf@debian.org>, Peter Zijlstra <a.p.zijlstra@chello.nl>, Christian Ohm <chr.ohm@gmx.net>, Paul Mackerras <paulus@samba.org>, Ingo Molnar <mingo@elte.hu>, Arnaldo Carvalho de Melo <acme@ghostprotocols.net>, 632923@bugs.debian.org
Subject: Re: [oss-security] CVE request: perf: may parse user-controlled config file
Date: Tue, 9 Aug 2011 09:18:07 -0400
On Sunday, August 07, 2011 01:34:38 PM dann frazier wrote:
> This was reported by Christian Ohm at:
>   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=632923
> 
> The perf command, provided as part of the Linux kernel source, looks
> for and honors configuration settings in ./config. A local user could
> obtain elevated privileges by convincing a superuser to run the perf
> command from a directory the user controls.

And in recent kernels has an executable stack:
https://bugzilla.redhat.com/show_bug.cgi?id=704296

-Steve




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#632923; Package linux-tools-2.6.39. (Tue, 09 Aug 2011 19:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josh Bressers <bressers@redhat.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 09 Aug 2011 19:57:03 GMT) Full text and rfc822 format available.

Message #51 received at 632923@bugs.debian.org (full text, mbox):

From: Josh Bressers <bressers@redhat.com>
To: oss-security@lists.openwall.com
Cc: Peter Zijlstra <a.p.zijlstra@chello.nl>, Christian Ohm <chr.ohm@gmx.net>, Paul Mackerras <paulus@samba.org>, Ingo Molnar <mingo@elte.hu>, Arnaldo Carvalho de Melo <acme@ghostprotocols.net>, 632923@bugs.debian.org, coley <coley@mitre.org>
Subject: Re: [oss-security] CVE request: perf: may parse user-controlled config file
Date: Tue, 9 Aug 2011 15:53:09 -0400 (EDT)

----- Original Message -----
> This was reported by Christian Ohm at:
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=632923
> 
> The perf command, provided as part of the Linux kernel source, looks
> for and honors configuration settings in ./config. A local user could
> obtain elevated privileges by convincing a superuser to run the perf
> command from a directory the user controls.

Please use CVE-2011-2905.

Thanks.

-- 
    JB




Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#632923; Package linux-tools-2.6.39. (Thu, 11 Aug 2011 06:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to dann frazier <dannf@dannf.org>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Thu, 11 Aug 2011 06:51:06 GMT) Full text and rfc822 format available.

Message #56 received at 632923@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@dannf.org>
To: Steve Grubb <sgrubb@redhat.com>
Cc: oss-security@lists.openwall.com, Peter Zijlstra <a.p.zijlstra@chello.nl>, Christian Ohm <chr.ohm@gmx.net>, Paul Mackerras <paulus@samba.org>, Ingo Molnar <mingo@elte.hu>, Arnaldo Carvalho de Melo <acme@ghostprotocols.net>, 632923@bugs.debian.org
Subject: Re: [oss-security] CVE request: perf: may parse user-controlled config file
Date: Thu, 11 Aug 2011 00:48:11 -0600
On Tue, Aug 09, 2011 at 09:18:07AM -0400, Steve Grubb wrote:
> On Sunday, August 07, 2011 01:34:38 PM dann frazier wrote:
> > This was reported by Christian Ohm at:
> >   http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=632923
> > 
> > The perf command, provided as part of the Linux kernel source, looks
> > for and honors configuration settings in ./config. A local user could
> > obtain elevated privileges by convincing a superuser to run the perf
> > command from a directory the user controls.
> 
> And in recent kernels has an executable stack:
> https://bugzilla.redhat.com/show_bug.cgi?id=704296

fyi, that bug appears to be locked




Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#632923; Package linux-tools-2.6.39. (Tue, 16 Aug 2011 02:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Greg KH <gregkh@suse.de>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Tue, 16 Aug 2011 02:54:02 GMT) Full text and rfc822 format available.

Message #61 received at 632923@bugs.debian.org (full text, mbox):

From: Greg KH <gregkh@suse.de>
To: linux-kernel@vger.kernel.org, stable@kernel.org
Cc: stable-review@kernel.org, torvalds@linux-foundation.org, akpm@linux-foundation.org, alan@lxorguk.ukuu.org.uk, 632923@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>, Christian Ohm <chr.ohm@gmx.net>, Ingo Molnar <mingo@elte.hu>, Paul Mackerras <paulus@samba.org>, Peter Zijlstra <a.p.zijlstra@chello.nl>, Jonathan Nieder <jrnieder@gmail.com>, Arnaldo Carvalho de Melo <acme@redhat.com>
Subject: [26/26] perf tools: do not look at ./config for configuration
Date: Mon, 15 Aug 2011 19:43:09 -0700
3.0-stable review patch.  If anyone has any objections, please let us know.

------------------

From: Jonathan Nieder <jrnieder@gmail.com>

commit aba8d056078e47350d85b06a9cabd5afcc4b72ea upstream.

In addition to /etc/perfconfig and $HOME/.perfconfig, perf looks for
configuration in the file ./config, imitating git which looks at
$GIT_DIR/config.  If ./config is not a perf configuration file, it
fails, or worse, treats it as a configuration file and changes behavior
in some unexpected way.

"config" is not an unusual name for a file to be lying around and perf
does not have a private directory dedicated for its own use, so let's
just stop looking for configuration in the cwd.  Callers needing
context-sensitive configuration can use the PERF_CONFIG environment
variable.

Requested-by: Christian Ohm <chr.ohm@gmx.net>
Cc: 632923@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>
Cc: Christian Ohm <chr.ohm@gmx.net>
Cc: Ingo Molnar <mingo@elte.hu>
Cc: Paul Mackerras <paulus@samba.org>
Cc: Peter Zijlstra <a.p.zijlstra@chello.nl>
Link: http://lkml.kernel.org/r/20110805165838.GA7237@elie.gateway.2wire.net
Signed-off-by: Jonathan Nieder <jrnieder@gmail.com>
Signed-off-by: Arnaldo Carvalho de Melo <acme@redhat.com>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 tools/perf/util/config.c |    7 -------
 1 file changed, 7 deletions(-)

--- a/tools/perf/util/config.c
+++ b/tools/perf/util/config.c
@@ -399,7 +399,6 @@ static int perf_config_global(void)
 int perf_config(config_fn_t fn, void *data)
 {
 	int ret = 0, found = 0;
-	char *repo_config = NULL;
 	const char *home = NULL;
 
 	/* Setting $PERF_CONFIG makes perf read _only_ the given config file. */
@@ -421,12 +420,6 @@ int perf_config(config_fn_t fn, void *da
 		free(user_config);
 	}
 
-	repo_config = perf_pathdup("config");
-	if (!access(repo_config, R_OK)) {
-		ret += perf_config_from_file(fn, repo_config, data);
-		found += 1;
-	}
-	free(repo_config);
 	if (found == 0)
 		return -1;
 	return ret;






Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Wed, 17 Aug 2011 02:58:49 GMT) Full text and rfc822 format available.

Notification sent to Christian Ohm <chr.ohm@gmx.net>:
Bug acknowledged by developer. (Wed, 17 Aug 2011 02:58:49 GMT) Full text and rfc822 format available.

Message #66 received at 632923-close@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 632923-close@bugs.debian.org
Subject: Bug#632923: fixed in linux-2.6 3.0.0-2
Date: Wed, 17 Aug 2011 02:52:10 +0000
Source: linux-2.6
Source-Version: 3.0.0-2

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_3.0.0-2.diff.gz
  to main/l/linux-2.6/linux-2.6_3.0.0-2.diff.gz
linux-2.6_3.0.0-2.dsc
  to main/l/linux-2.6/linux-2.6_3.0.0-2.dsc
linux-doc-3.0.0_3.0.0-2_all.deb
  to main/l/linux-2.6/linux-doc-3.0.0_3.0.0-2_all.deb
linux-manual-3.0.0_3.0.0-2_all.deb
  to main/l/linux-2.6/linux-manual-3.0.0_3.0.0-2_all.deb
linux-patch-debian-3.0.0_3.0.0-2_all.deb
  to main/l/linux-2.6/linux-patch-debian-3.0.0_3.0.0-2_all.deb
linux-source-3.0.0_3.0.0-2_all.deb
  to main/l/linux-2.6/linux-source-3.0.0_3.0.0-2_all.deb
linux-support-3.0.0-1_3.0.0-2_all.deb
  to main/l/linux-2.6/linux-support-3.0.0-1_3.0.0-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 632923@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ben Hutchings <ben@decadent.org.uk> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Tue, 16 Aug 2011 06:08:53 +0100
Source: linux-2.6
Binary: linux-tools-3.0.0 linux-source-3.0.0 linux-doc-3.0.0 linux-manual-3.0.0 linux-patch-debian-3.0.0 linux-support-3.0.0-1 linux-libc-dev linux-headers-3.0.0-1-all linux-headers-3.0.0-1-all-alpha linux-headers-3.0.0-1-common linux-image-3.0.0-1-alpha-generic linux-headers-3.0.0-1-alpha-generic linux-image-3.0.0-1-alpha-smp linux-headers-3.0.0-1-alpha-smp linux-image-3.0.0-1-alpha-legacy linux-headers-3.0.0-1-alpha-legacy linux-headers-3.0.0-1-all-amd64 linux-image-3.0.0-1-amd64 linux-headers-3.0.0-1-amd64 linux-image-3.0.0-1-amd64-dbg xen-linux-system-3.0.0-1-amd64 linux-headers-3.0.0-1-common-rt linux-image-3.0.0-1-rt-amd64 linux-headers-3.0.0-1-rt-amd64 linux-image-3.0.0-1-rt-amd64-dbg xen-linux-system-3.0.0-1-rt-amd64 linux-headers-3.0.0-1-all-armel linux-image-3.0.0-1-iop32x linux-headers-3.0.0-1-iop32x linux-image-3.0.0-1-ixp4xx linux-headers-3.0.0-1-ixp4xx linux-image-3.0.0-1-kirkwood linux-headers-3.0.0-1-kirkwood linux-image-3.0.0-1-orion5x
 linux-headers-3.0.0-1-orion5x linux-image-3.0.0-1-versatile linux-headers-3.0.0-1-versatile linux-headers-3.0.0-1-all-armhf linux-image-3.0.0-1-mx5 linux-headers-3.0.0-1-mx5 linux-image-3.0.0-1-omap linux-headers-3.0.0-1-omap linux-headers-3.0.0-1-all-hppa linux-image-3.0.0-1-parisc linux-headers-3.0.0-1-parisc linux-image-3.0.0-1-parisc-smp linux-headers-3.0.0-1-parisc-smp linux-image-3.0.0-1-parisc64 linux-headers-3.0.0-1-parisc64 linux-image-3.0.0-1-parisc64-smp linux-headers-3.0.0-1-parisc64-smp linux-headers-3.0.0-1-all-i386 linux-image-3.0.0-1-486 linux-headers-3.0.0-1-486 linux-image-3.0.0-1-686-pae linux-headers-3.0.0-1-686-pae linux-image-3.0.0-1-686-pae-dbg xen-linux-system-3.0.0-1-686-pae linux-headers-3.0.0-1-all-ia64 linux-image-3.0.0-1-itanium linux-headers-3.0.0-1-itanium linux-image-3.0.0-1-mckinley linux-headers-3.0.0-1-mckinley linux-headers-3.0.0-1-all-m68k linux-image-3.0.0-1-amiga linux-headers-3.0.0-1-amiga linux-image-3.0.0-1-atari
 linux-headers-3.0.0-1-atari linux-image-3.0.0-1-bvme6000 linux-headers-3.0.0-1-bvme6000 linux-image-3.0.0-1-mac linux-headers-3.0.0-1-mac linux-image-3.0.0-1-mvme147 linux-headers-3.0.0-1-mvme147 linux-image-3.0.0-1-mvme16x linux-headers-3.0.0-1-mvme16x linux-headers-3.0.0-1-all-mips linux-image-3.0.0-1-r4k-ip22 linux-headers-3.0.0-1-r4k-ip22 linux-image-3.0.0-1-r5k-ip32 linux-headers-3.0.0-1-r5k-ip32 linux-image-3.0.0-1-sb1-bcm91250a linux-headers-3.0.0-1-sb1-bcm91250a linux-image-3.0.0-1-sb1a-bcm91480b linux-headers-3.0.0-1-sb1a-bcm91480b linux-image-3.0.0-1-4kc-malta linux-headers-3.0.0-1-4kc-malta linux-image-3.0.0-1-5kc-malta linux-headers-3.0.0-1-5kc-malta linux-image-3.0.0-1-octeon linux-headers-3.0.0-1-octeon linux-headers-3.0.0-1-all-mipsel linux-image-3.0.0-1-r5k-cobalt linux-headers-3.0.0-1-r5k-cobalt linux-image-3.0.0-1-loongson-2f linux-headers-3.0.0-1-loongson-2f linux-headers-3.0.0-1-all-powerpc linux-image-3.0.0-1-powerpc
 linux-headers-3.0.0-1-powerpc linux-image-3.0.0-1-powerpc-smp linux-headers-3.0.0-1-powerpc-smp linux-image-3.0.0-1-powerpc64 linux-headers-3.0.0-1-powerpc64 linux-headers-3.0.0-1-all-ppc64 linux-headers-3.0.0-1-all-s390 linux-image-3.0.0-1-s390x linux-headers-3.0.0-1-s390x linux-image-3.0.0-1-s390x-tape linux-headers-3.0.0-1-all-s390x linux-headers-3.0.0-1-all-sh4 linux-image-3.0.0-1-sh7751r linux-headers-3.0.0-1-sh7751r linux-image-3.0.0-1-sh7785lcr linux-headers-3.0.0-1-sh7785lcr linux-headers-3.0.0-1-all-sparc linux-image-3.0.0-1-sparc64 linux-headers-3.0.0-1-sparc64 linux-image-3.0.0-1-sparc64-smp linux-headers-3.0.0-1-sparc64-smp
 linux-headers-3.0.0-1-all-sparc64
Architecture: all amd64 source
Version: 3.0.0-2
Distribution: unstable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Ben Hutchings <ben@decadent.org.uk>
Closes: 631945 632923 636854
Description: 
 linux-doc-3.0.0 - Linux kernel specific documentation for version 3.0.0
 linux-headers-3.0.0-1-486 - Header files for Linux 3.0.0-1-486
 linux-headers-3.0.0-1-4kc-malta - Header files for Linux 3.0.0-1-4kc-malta
 linux-headers-3.0.0-1-5kc-malta - Header files for Linux 3.0.0-1-5kc-malta
 linux-headers-3.0.0-1-686-pae - Header files for Linux 3.0.0-1-686-pae
 linux-headers-3.0.0-1-all - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-1-all-alpha - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-1-all-amd64 - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-1-all-armel - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-1-all-armhf - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-1-all-hppa - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-1-all-i386 - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-1-all-ia64 - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-1-all-m68k - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-1-all-mips - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-1-all-mipsel - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-1-all-powerpc - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-1-all-ppc64 - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-1-all-s390 - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-1-all-s390x - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-1-all-sh4 - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-1-all-sparc64 - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-1-all-sparc - All header files for Linux 3.0.0 (meta-package)
 linux-headers-3.0.0-1-alpha-generic - Header files for Linux 3.0.0-1-alpha-generic
 linux-headers-3.0.0-1-alpha-legacy - Header files for Linux 3.0.0-1-alpha-legacy
 linux-headers-3.0.0-1-alpha-smp - Header files for Linux 3.0.0-1-alpha-smp
 linux-headers-3.0.0-1-amd64 - Header files for Linux 3.0.0-1-amd64
 linux-headers-3.0.0-1-amiga - Header files for Linux 3.0.0-1-amiga
 linux-headers-3.0.0-1-atari - Header files for Linux 3.0.0-1-atari
 linux-headers-3.0.0-1-bvme6000 - Header files for Linux 3.0.0-1-bvme6000
 linux-headers-3.0.0-1-common - Common header files for Linux 3.0.0-1
 linux-headers-3.0.0-1-common-rt - Common header files for Linux 3.0.0-1-rt
 linux-headers-3.0.0-1-iop32x - Header files for Linux 3.0.0-1-iop32x
 linux-headers-3.0.0-1-itanium - Header files for Linux 3.0.0-1-itanium
 linux-headers-3.0.0-1-ixp4xx - Header files for Linux 3.0.0-1-ixp4xx
 linux-headers-3.0.0-1-kirkwood - Header files for Linux 3.0.0-1-kirkwood
 linux-headers-3.0.0-1-loongson-2f - Header files for Linux 3.0.0-1-loongson-2f
 linux-headers-3.0.0-1-mac - Header files for Linux 3.0.0-1-mac
 linux-headers-3.0.0-1-mckinley - Header files for Linux 3.0.0-1-mckinley
 linux-headers-3.0.0-1-mvme147 - Header files for Linux 3.0.0-1-mvme147
 linux-headers-3.0.0-1-mvme16x - Header files for Linux 3.0.0-1-mvme16x
 linux-headers-3.0.0-1-mx5 - Header files for Linux 3.0.0-1-mx5
 linux-headers-3.0.0-1-octeon - Header files for Linux 3.0.0-1-octeon
 linux-headers-3.0.0-1-omap - Header files for Linux 3.0.0-1-omap
 linux-headers-3.0.0-1-orion5x - Header files for Linux 3.0.0-1-orion5x
 linux-headers-3.0.0-1-parisc64 - Header files for Linux 3.0.0-1-parisc64
 linux-headers-3.0.0-1-parisc64-smp - Header files for Linux 3.0.0-1-parisc64-smp
 linux-headers-3.0.0-1-parisc - Header files for Linux 3.0.0-1-parisc
 linux-headers-3.0.0-1-parisc-smp - Header files for Linux 3.0.0-1-parisc-smp
 linux-headers-3.0.0-1-powerpc64 - Header files for Linux 3.0.0-1-powerpc64
 linux-headers-3.0.0-1-powerpc - Header files for Linux 3.0.0-1-powerpc
 linux-headers-3.0.0-1-powerpc-smp - Header files for Linux 3.0.0-1-powerpc-smp
 linux-headers-3.0.0-1-r4k-ip22 - Header files for Linux 3.0.0-1-r4k-ip22
 linux-headers-3.0.0-1-r5k-cobalt - Header files for Linux 3.0.0-1-r5k-cobalt
 linux-headers-3.0.0-1-r5k-ip32 - Header files for Linux 3.0.0-1-r5k-ip32
 linux-headers-3.0.0-1-rt-amd64 - Header files for Linux 3.0.0-1-rt-amd64
 linux-headers-3.0.0-1-s390x - Header files for Linux 3.0.0-1-s390x
 linux-headers-3.0.0-1-sb1a-bcm91480b - Header files for Linux 3.0.0-1-sb1a-bcm91480b
 linux-headers-3.0.0-1-sb1-bcm91250a - Header files for Linux 3.0.0-1-sb1-bcm91250a
 linux-headers-3.0.0-1-sh7751r - Header files for Linux 3.0.0-1-sh7751r
 linux-headers-3.0.0-1-sh7785lcr - Header files for Linux 3.0.0-1-sh7785lcr
 linux-headers-3.0.0-1-sparc64 - Header files for Linux 3.0.0-1-sparc64
 linux-headers-3.0.0-1-sparc64-smp - Header files for Linux 3.0.0-1-sparc64-smp
 linux-headers-3.0.0-1-versatile - Header files for Linux 3.0.0-1-versatile
 linux-image-3.0.0-1-486 - Linux 3.0.0 for older PCs
 linux-image-3.0.0-1-4kc-malta - Linux 3.0.0 for MIPS Malta
 linux-image-3.0.0-1-5kc-malta - Linux 3.0.0 for MIPS Malta (64-bit)
 linux-image-3.0.0-1-686-pae-dbg - Debugging infos for Linux 3.0.0-1-686-pae
 linux-image-3.0.0-1-686-pae - Linux 3.0.0 for modern PCs
 linux-image-3.0.0-1-alpha-generic - Linux 3.0.0 for Alpha
 linux-image-3.0.0-1-alpha-legacy - Linux 3.0.0 for Alpha Legacy
 linux-image-3.0.0-1-alpha-smp - Linux 3.0.0 for Alpha SMP
 linux-image-3.0.0-1-amd64-dbg - Debugging infos for Linux 3.0.0-1-amd64
 linux-image-3.0.0-1-amd64 - Linux 3.0.0 for 64-bit PCs
 linux-image-3.0.0-1-amiga - Linux 3.0.0 for Amiga
 linux-image-3.0.0-1-atari - Linux 3.0.0 for Atari
 linux-image-3.0.0-1-bvme6000 - Linux 3.0.0 for BVM BVME4000 and BVME6000
 linux-image-3.0.0-1-iop32x - Linux 3.0.0 for IOP32x
 linux-image-3.0.0-1-itanium - Linux 3.0.0 for Itanium
 linux-image-3.0.0-1-ixp4xx - Linux 3.0.0 for IXP4xx
 linux-image-3.0.0-1-kirkwood - Linux 3.0.0 for Marvell Kirkwood
 linux-image-3.0.0-1-loongson-2f - Linux 3.0.0 for Loongson 2F
 linux-image-3.0.0-1-mac - Linux 3.0.0 for Macintosh
 linux-image-3.0.0-1-mckinley - Linux 3.0.0 for Itanium II
 linux-image-3.0.0-1-mvme147 - Linux 3.0.0 for Motorola MVME147
 linux-image-3.0.0-1-mvme16x - Linux 3.0.0 for Motorola MVME162/6/7, MVME172/7
 linux-image-3.0.0-1-mx5 - Linux 3.0.0 for Freescale i.MX51
 linux-image-3.0.0-1-octeon - Linux 3.0.0 for Octeon
 linux-image-3.0.0-1-omap - Linux 3.0.0 for TI OMAP3+
 linux-image-3.0.0-1-orion5x - Linux 3.0.0 for Marvell Orion
 linux-image-3.0.0-1-parisc64 - Linux 3.0.0 for 64-bit PA-RISC
 linux-image-3.0.0-1-parisc64-smp - Linux 3.0.0 for multiprocessor 64-bit PA-RISC
 linux-image-3.0.0-1-parisc - Linux 3.0.0 for 32-bit PA-RISC
 linux-image-3.0.0-1-parisc-smp - Linux 3.0.0 for multiprocessor 32-bit PA-RISC
 linux-image-3.0.0-1-powerpc64 - Linux 3.0.0 for 64-bit PowerPC
 linux-image-3.0.0-1-powerpc - Linux 3.0.0 for uniprocessor 32-bit PowerPC
 linux-image-3.0.0-1-powerpc-smp - Linux 3.0.0 for multiprocessor 32-bit PowerPC
 linux-image-3.0.0-1-r4k-ip22 - Linux 3.0.0 for SGI IP22
 linux-image-3.0.0-1-r5k-cobalt - Linux 3.0.0 for Cobalt
 linux-image-3.0.0-1-r5k-ip32 - Linux 3.0.0 for SGI IP32
 linux-image-3.0.0-1-rt-amd64-dbg - Debugging infos for Linux 3.0.0-1-rt-amd64
 linux-image-3.0.0-1-rt-amd64 - Linux 3.0.0 for 64-bit PCs, PREEMPT_RT
 linux-image-3.0.0-1-s390x - Linux 3.0.0 for IBM zSeries
 linux-image-3.0.0-1-s390x-tape - Linux 3.0.0 for IBM zSeries, IPL from tape
 linux-image-3.0.0-1-sb1a-bcm91480b - Linux 3.0.0 for BCM91480B
 linux-image-3.0.0-1-sb1-bcm91250a - Linux 3.0.0 for BCM91250A
 linux-image-3.0.0-1-sh7751r - Linux 3.0.0 for sh7751r
 linux-image-3.0.0-1-sh7785lcr - Linux 3.0.0 for sh7785lcr
 linux-image-3.0.0-1-sparc64 - Linux 3.0.0 for uniprocessor 64-bit UltraSPARC
 linux-image-3.0.0-1-sparc64-smp - Linux 3.0.0 for multiprocessor 64-bit UltraSPARC
 linux-image-3.0.0-1-versatile - Linux 3.0.0 for Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-3.0.0 - Linux kernel API manual pages for version 3.0.0
 linux-patch-debian-3.0.0 - Debian patches to version 3.0.0 of the Linux kernel
 linux-source-3.0.0 - Linux kernel source for version 3.0.0 with Debian patches
 linux-support-3.0.0-1 - Support files for Linux 3.0.0
 linux-tools-3.0.0 - Performance analysis tools for Linux 3.0.0
 xen-linux-system-3.0.0-1-686-pae - Xen system with Linux 3.0.0 on modern PCs (meta-package)
 xen-linux-system-3.0.0-1-amd64 - Xen system with Linux 3.0.0 on 64-bit PCs (meta-package)
 xen-linux-system-3.0.0-1-rt-amd64 - Xen system with Linux 3.0.0 on 64-bit PCs (meta-package)
Changes: 
 linux-2.6 (3.0.0-2) unstable; urgency=high
 .
   [ Aurelien Jarno ]
   * Add configuration files for s390x architecture.
 .
   [ Ben Hutchings ]
   * linux-libc-dev: Install include/asm under arch-specific directory
     (thanks to Aurelien for correcting the directory); mark package as
     multi-arch-coinstallable (Multi-Arch: same)
   * [powerpc] Use libata-based drivers for most PATA controllers
     (Closes: #636854):
     - Various drivers replaced as for x86 in 2.6.32-10
     - pata_macio replaces ide_pmac
   * Add stable 3.0.2, including:
     - net: Cap number of elements for sendmmsg
     - net: Fix security_socket_sendmsg() bypass problem
     - [x86] xen: allow enable use of VGA console on dom0
     - net: Compute protocol sequence numbers and fragment IDs using MD5
     - cifs: cope with negative dentries in cifs_get_root
     - ALSA: snd-usb: avoid dividing by zero on invalid input
     - ipv6: make fragment identifications less predictable (CVE-2011-2699)
     - sch_sfq: fix sfq_enqueue() (Closes: #631945)
     - gre: fix improper error handling
     - ecryptfs: Add mount option to check uid of device being mounted
       = expect uid
     - ecryptfs: Return error when lower file pointer is NULL
     - ext{3,4}: Properly count journal credits for long symlinks
     For the complete list of changes, see:
      http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.0.2
   * [x86] Enable RTS_PSTOR as module
 .
   [ maximilian attems ]
   * Add stable 3.0.1, including:
     - gro: Only reset frag0 when skb can be pulled (CVE-2011-2723)
     - staging: comedi: fix infoleak to userspace (CVE-2011-2909)
     - rtc: limit frequency
     - CIFS: Fix oops while mounting with prefixpath
     - [SCSI] fix crash in scsi_dispatch_cmd()
     - tracing: Fix bug when reading system filters on module removal
     - tracing: Have "enable" file use refcounts like the "filter" file
     - ext4: fix i_blocks/quota accounting when extent insertion fails
     - ext4: free allocated and pre-allocated blocks when check_eofblocks_fl
       fails
     - ext3: Fix oops in ext3_try_to_allocate_with_rsv()
     - nfsd4: remember to put RW access on stateid destruction
     - nfsd4: fix file leak on open_downgrade
     - NFS: Fix spurious readdir cookie loop messages
     - proc: fix a race in do_io_accounting()
     - ipc/sem.c: fix race with concurrent semtimedop() timeouts and IPC_RMID
     - [armel,armhf,hppa] dm io: flush cpu cache with vmapped io
     - dm snapshot: flush disk cache when merging
     For the complete list of changes, see:
      http://www.kernel.org/pub/linux/kernel/v3.0/ChangeLog-3.0.1
 .
   [ Jonathan Nieder ]
   * perf: do not look at ./config for configuration (Closes: #632923)
     (CVE-2011-2905)
 .
   [ Uwe Kleine-K├Ânig ]
   * [amd64] Update rt featureset to 3.0.1-rt11
Checksums-Sha1: 
 ab76b0a8987aaa54fc761474eb38bb9a1f56f2c3 6031 linux-2.6_3.0.0-2.dsc
 ca44066a1421547f144b0d7d7e7cba9b4ceea04f 5064410 linux-2.6_3.0.0-2.diff.gz
 61aaab2093edb5193f8583e09106dfab98e6c929 6913904 linux-doc-3.0.0_3.0.0-2_all.deb
 d20f3c7d4bfa35c5ac2a1d84b63a764f4c6d6e7f 3139562 linux-manual-3.0.0_3.0.0-2_all.deb
 d96deed34002d93e3a08d6c1a67391448c96d5dd 675648 linux-patch-debian-3.0.0_3.0.0-2_all.deb
 a49173fe2f0b909f7ccd84068b16b426e0784def 76224858 linux-source-3.0.0_3.0.0-2_all.deb
 efd400450248f3749977e47a65fc908a8e28fe75 178120 linux-support-3.0.0-1_3.0.0-2_all.deb
Checksums-Sha256: 
 a97e2c3f2d4cb2a0672f33830c99c62b9b1667f142aff8557d711b11e0536210 6031 linux-2.6_3.0.0-2.dsc
 332f276c4f6ee5580b2ce60e69cb9f706d1520b7d44e94880fabe89df9ba021b 5064410 linux-2.6_3.0.0-2.diff.gz
 d7ad27d660fa0efe496420f1637684f5f21c9dbe631c570d8e4fb936e5553c77 6913904 linux-doc-3.0.0_3.0.0-2_all.deb
 d2ea7e95e49cbdd4b094705c419893e568ce0bbd1a03730d50998c88e83ef654 3139562 linux-manual-3.0.0_3.0.0-2_all.deb
 aaf167bc4dde20834da00227721508f42aa09a79d5e03b7f3f9ffb363d00dcb9 675648 linux-patch-debian-3.0.0_3.0.0-2_all.deb
 7bb27047743a04e2ea4217b4bb82af7154b44a87b7eff251c95016f9b7195ce1 76224858 linux-source-3.0.0_3.0.0-2_all.deb
 b7a722fc86fda81e8ba974fdfe25e1fa4dffcfe8b8f63895ab35e2e9d6f95498 178120 linux-support-3.0.0-1_3.0.0-2_all.deb
Files: 
 0d7d3bce4bf50fafe1f716abbec145da 6031 kernel optional linux-2.6_3.0.0-2.dsc
 55ab7e9afd1fdc4630de3322f3beb43d 5064410 kernel optional linux-2.6_3.0.0-2.diff.gz
 db9ecf0c9cdf271bd039af3ea2e3d53e 6913904 doc optional linux-doc-3.0.0_3.0.0-2_all.deb
 58b165139fa57247c9523625bb00665c 3139562 doc optional linux-manual-3.0.0_3.0.0-2_all.deb
 ed78321c1ce6062adab3d46e9de86b32 675648 kernel optional linux-patch-debian-3.0.0_3.0.0-2_all.deb
 6766607aedd746866a6f174995f5a90e 76224858 kernel optional linux-source-3.0.0_3.0.0-2_all.deb
 1d35c926206935436bd1971242da70be 178120 devel optional linux-support-3.0.0-1_3.0.0-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIVAwUBTksiFue/yOyVhhEJAQpfjg//eaLJOKEJiHqjzRzgK/2n5NEmKP+leRm6
N+AnL9z7yqATr7Zw3tL/FfxdmIvSsj+NqwZWruTljzBjO5IWAcqEOmM7OqVERFA4
67HoSLuFXOjTu7SoWfZHiwsrNmw65xmt6ZFz7yiyN0m4P7/Ij1iV7CkS2Lm4m0uX
d/asPLugi4i3VXGekG6HkMUXGtcDkncFU7QytnMFkGFaHoUx8lUUWBea4CM5HCQG
PCh1ImY7393ckEVaEY0zwD3LwCPQFk9Cr58NZyzV+k7gUjpytvYdo96m2+6FCSEN
7nC1PrNJ8Vh1TJMLWCDmvU2cLnKIVks/D4cakYClb6to6QCXQ7JGvd+IU0TCq739
syoufW93rgdiI2j/Ja3hVPmxh1QEP0MJYYO+otYTUcBCqlpPCYQpIEy3/GANpOk2
2DiPYUSFnAy7462cy/xoYQXBdguoZTYzA75mD/OdI3JOHeiHqAtogNrrOOXoJGQ4
5LvPmRbeGOjc6ITnWtoYkrVuzRJGP/1BB6q4xtsmS/8i1IMO5/88Q6Vb+v3Bu5w8
ih/FF8LwxpVnLWyBhsYq77Xmvd2R/U7TbFZGSIxVX0uqK8t2aksUqhbFhf2ShpaF
/8aCOIqafOC9IV/CE8oUzUrn6vUq3xPFnm9y5czgARu0B3zckwTBNvsvN+P92Mj2
8GwqRS/XLVQ=
=0QXZ
-----END PGP SIGNATURE-----





Added tag(s) pending. Request was from Dann Frazier <dannf@alioth.debian.org> to control@bugs.debian.org. (Thu, 25 Aug 2011 05:09:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#632923; Package linux-tools-2.6.39. (Sat, 27 Aug 2011 14:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Greg KH <gregkh@suse.de>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Sat, 27 Aug 2011 14:57:03 GMT) Full text and rfc822 format available.

Message #73 received at 632923@bugs.debian.org (full text, mbox):

From: Greg KH <gregkh@suse.de>
To: linux-kernel@vger.kernel.org, stable@kernel.org
Cc: stable-review@kernel.org, torvalds@linux-foundation.org, akpm@linux-foundation.org, alan@lxorguk.ukuu.org.uk, 632923@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>, Christian Ohm <chr.ohm@gmx.net>, Ingo Molnar <mingo@elte.hu>, Paul Mackerras <paulus@samba.org>, Peter Zijlstra <a.p.zijlstra@chello.nl>, Jonathan Nieder <jrnieder@gmail.com>, Arnaldo Carvalho de Melo <acme@redhat.com>
Subject: [09/19] perf tools: do not look at ./config for configuration
Date: Fri, 26 Aug 2011 14:58:30 -0700
2.6.32-longterm review patch.  If anyone has any objections, please let us know.

------------------

From: Jonathan Nieder <jrnieder@gmail.com>

commit aba8d056078e47350d85b06a9cabd5afcc4b72ea upstream.

In addition to /etc/perfconfig and $HOME/.perfconfig, perf looks for
configuration in the file ./config, imitating git which looks at
$GIT_DIR/config.  If ./config is not a perf configuration file, it
fails, or worse, treats it as a configuration file and changes behavior
in some unexpected way.

"config" is not an unusual name for a file to be lying around and perf
does not have a private directory dedicated for its own use, so let's
just stop looking for configuration in the cwd.  Callers needing
context-sensitive configuration can use the PERF_CONFIG environment
variable.

Requested-by: Christian Ohm <chr.ohm@gmx.net>
Cc: 632923@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>
Cc: Christian Ohm <chr.ohm@gmx.net>
Cc: Ingo Molnar <mingo@elte.hu>
Cc: Paul Mackerras <paulus@samba.org>
Cc: Peter Zijlstra <a.p.zijlstra@chello.nl>
Link: http://lkml.kernel.org/r/20110805165838.GA7237@elie.gateway.2wire.net
Signed-off-by: Jonathan Nieder <jrnieder@gmail.com>
Signed-off-by: Arnaldo Carvalho de Melo <acme@redhat.com>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 tools/perf/util/config.c |    7 -------
 1 file changed, 7 deletions(-)

--- a/tools/perf/util/config.c
+++ b/tools/perf/util/config.c
@@ -416,7 +416,6 @@ int perf_config_global(void)
 int perf_config(config_fn_t fn, void *data)
 {
 	int ret = 0, found = 0;
-	char *repo_config = NULL;
 	const char *home = NULL;
 
 	/* Setting $PERF_CONFIG makes perf read _only_ the given config file. */
@@ -438,12 +437,6 @@ int perf_config(config_fn_t fn, void *da
 		free(user_config);
 	}
 
-	repo_config = perf_pathdup("config");
-	if (!access(repo_config, R_OK)) {
-		ret += perf_config_from_file(fn, repo_config, data);
-		found += 1;
-	}
-	free(repo_config);
 	if (found == 0)
 		return -1;
 	return ret;






Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#632923; Package linux-tools-2.6.39. (Sat, 27 Aug 2011 15:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Greg KH <gregkh@suse.de>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Sat, 27 Aug 2011 15:00:03 GMT) Full text and rfc822 format available.

Message #78 received at 632923@bugs.debian.org (full text, mbox):

From: Greg KH <gregkh@suse.de>
To: linux-kernel@vger.kernel.org, stable@kernel.org
Cc: stable-review@kernel.org, torvalds@linux-foundation.org, akpm@linux-foundation.org, alan@lxorguk.ukuu.org.uk, 632923@bugs.debian.org, Ben Hutchings <ben@decadent.org.uk>, Christian Ohm <chr.ohm@gmx.net>, Ingo Molnar <mingo@elte.hu>, Paul Mackerras <paulus@samba.org>, Peter Zijlstra <a.p.zijlstra@chello.nl>, Jonathan Nieder <jrnieder@gmail.com>, Arnaldo Carvalho de Melo <acme@redhat.com>
Subject: [10/20] perf tools: do not look at ./config for configuration
Date: Fri, 26 Aug 2011 15:03:33 -0700
2.6.33-longterm review patch.  If anyone has any objections, please let us know.

------------------

From: Jonathan Nieder <jrnieder@gmail.com>

commit aba8d056078e47350d85b06a9cabd5afcc4b72ea upstream.

In addition to /etc/perfconfig and $HOME/.perfconfig, perf looks for
configuration in the file ./config, imitating git which looks at
$GIT_DIR/config.  If ./config is not a perf configuration file, it
fails, or worse, treats it as a configuration file and changes behavior
in some unexpected way.

"config" is not an unusual name for a file to be lying around and perf
does not have a private directory dedicated for its own use, so let's
just stop looking for configuration in the cwd.  Callers needing
context-sensitive configuration can use the PERF_CONFIG environment
variable.

Requested-by: Christian Ohm <chr.ohm@gmx.net>
Cc: 632923@bugs.debian.org
Cc: Ben Hutchings <ben@decadent.org.uk>
Cc: Christian Ohm <chr.ohm@gmx.net>
Cc: Ingo Molnar <mingo@elte.hu>
Cc: Paul Mackerras <paulus@samba.org>
Cc: Peter Zijlstra <a.p.zijlstra@chello.nl>
Link: http://lkml.kernel.org/r/20110805165838.GA7237@elie.gateway.2wire.net
Signed-off-by: Jonathan Nieder <jrnieder@gmail.com>
Signed-off-by: Arnaldo Carvalho de Melo <acme@redhat.com>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 tools/perf/util/config.c |    7 -------
 1 file changed, 7 deletions(-)

--- a/tools/perf/util/config.c
+++ b/tools/perf/util/config.c
@@ -416,7 +416,6 @@ int perf_config_global(void)
 int perf_config(config_fn_t fn, void *data)
 {
 	int ret = 0, found = 0;
-	char *repo_config = NULL;
 	const char *home = NULL;
 
 	/* Setting $PERF_CONFIG makes perf read _only_ the given config file. */
@@ -438,12 +437,6 @@ int perf_config(config_fn_t fn, void *da
 		free(user_config);
 	}
 
-	repo_config = perf_pathdup("config");
-	if (!access(repo_config, R_OK)) {
-		ret += perf_config_from_file(fn, repo_config, data);
-		found += 1;
-	}
-	free(repo_config);
 	if (found == 0)
 		return -1;
 	return ret;






Reply sent to dann frazier <dannf@debian.org>:
You have taken responsibility. (Tue, 13 Sep 2011 20:00:06 GMT) Full text and rfc822 format available.

Notification sent to Christian Ohm <chr.ohm@gmx.net>:
Bug acknowledged by developer. (Tue, 13 Sep 2011 20:00:06 GMT) Full text and rfc822 format available.

Message #83 received at 632923-close@bugs.debian.org (full text, mbox):

From: dann frazier <dannf@debian.org>
To: 632923-close@bugs.debian.org
Subject: Bug#632923: fixed in linux-2.6 2.6.32-35squeeze1
Date: Tue, 13 Sep 2011 19:57:24 +0000
Source: linux-2.6
Source-Version: 2.6.32-35squeeze1

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

firmware-linux-free_2.6.32-35squeeze1_all.deb
  to main/l/linux-2.6/firmware-linux-free_2.6.32-35squeeze1_all.deb
linux-2.6_2.6.32-35squeeze1.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.32-35squeeze1.diff.gz
linux-2.6_2.6.32-35squeeze1.dsc
  to main/l/linux-2.6/linux-2.6_2.6.32-35squeeze1.dsc
linux-base_2.6.32-35squeeze1_all.deb
  to main/l/linux-2.6/linux-base_2.6.32-35squeeze1_all.deb
linux-doc-2.6.32_2.6.32-35squeeze1_all.deb
  to main/l/linux-2.6/linux-doc-2.6.32_2.6.32-35squeeze1_all.deb
linux-headers-2.6.32-5-486_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-486_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-686-bigmem_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-686-bigmem_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-686_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-686_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-all-i386_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all-i386_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-all_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-all_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-amd64_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-amd64_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-common-openvz_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-openvz_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-common-vserver_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-vserver_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-common-xen_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common-xen_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-common_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-common_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-openvz-686_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-openvz-686_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-vserver-686_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-vserver-686_2.6.32-35squeeze1_i386.deb
linux-headers-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-headers-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
linux-image-2.6.32-5-486_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-486_2.6.32-35squeeze1_i386.deb
linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-35squeeze1_i386.deb
linux-image-2.6.32-5-686-bigmem_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-686-bigmem_2.6.32-35squeeze1_i386.deb
linux-image-2.6.32-5-686_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-686_2.6.32-35squeeze1_i386.deb
linux-image-2.6.32-5-amd64_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-amd64_2.6.32-35squeeze1_i386.deb
linux-image-2.6.32-5-openvz-686-dbg_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-openvz-686-dbg_2.6.32-35squeeze1_i386.deb
linux-image-2.6.32-5-openvz-686_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-openvz-686_2.6.32-35squeeze1_i386.deb
linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-35squeeze1_i386.deb
linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-35squeeze1_i386.deb
linux-image-2.6.32-5-vserver-686_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-vserver-686_2.6.32-35squeeze1_i386.deb
linux-image-2.6.32-5-xen-686-dbg_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-xen-686-dbg_2.6.32-35squeeze1_i386.deb
linux-image-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-image-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
linux-libc-dev_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.32-35squeeze1_i386.deb
linux-manual-2.6.32_2.6.32-35squeeze1_all.deb
  to main/l/linux-2.6/linux-manual-2.6.32_2.6.32-35squeeze1_all.deb
linux-patch-debian-2.6.32_2.6.32-35squeeze1_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.32_2.6.32-35squeeze1_all.deb
linux-source-2.6.32_2.6.32-35squeeze1_all.deb
  to main/l/linux-2.6/linux-source-2.6.32_2.6.32-35squeeze1_all.deb
linux-support-2.6.32-5_2.6.32-35squeeze1_all.deb
  to main/l/linux-2.6/linux-support-2.6.32-5_2.6.32-35squeeze1_all.deb
linux-tools-2.6.32_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/linux-tools-2.6.32_2.6.32-35squeeze1_i386.deb
xen-linux-system-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
  to main/l/linux-2.6/xen-linux-system-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 632923@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
dann frazier <dannf@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 25 Aug 2011 09:02:10 -0600
Source: linux-2.6
Binary: linux-tools-2.6.32 linux-source-2.6.32 linux-doc-2.6.32 linux-manual-2.6.32 linux-patch-debian-2.6.32 firmware-linux-free linux-support-2.6.32-5 linux-base linux-libc-dev linux-headers-2.6.32-5-all linux-headers-2.6.32-5-all-alpha linux-headers-2.6.32-5-common linux-image-2.6.32-5-alpha-generic linux-headers-2.6.32-5-alpha-generic linux-image-2.6.32-5-alpha-smp linux-headers-2.6.32-5-alpha-smp linux-image-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-alpha-legacy linux-headers-2.6.32-5-all-amd64 linux-image-2.6.32-5-amd64 linux-headers-2.6.32-5-amd64 linux-image-2.6.32-5-amd64-dbg linux-headers-2.6.32-5-common-openvz linux-image-2.6.32-5-openvz-amd64 linux-headers-2.6.32-5-openvz-amd64 linux-image-2.6.32-5-openvz-amd64-dbg linux-headers-2.6.32-5-common-vserver linux-image-2.6.32-5-vserver-amd64 linux-headers-2.6.32-5-vserver-amd64 linux-image-2.6.32-5-vserver-amd64-dbg linux-headers-2.6.32-5-common-xen linux-image-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-xen-amd64
 linux-image-2.6.32-5-xen-amd64-dbg xen-linux-system-2.6.32-5-xen-amd64 linux-headers-2.6.32-5-all-armel linux-image-2.6.32-5-iop32x linux-headers-2.6.32-5-iop32x linux-image-2.6.32-5-ixp4xx linux-headers-2.6.32-5-ixp4xx linux-image-2.6.32-5-kirkwood linux-headers-2.6.32-5-kirkwood linux-image-2.6.32-5-orion5x linux-headers-2.6.32-5-orion5x linux-image-2.6.32-5-versatile linux-headers-2.6.32-5-versatile linux-headers-2.6.32-5-all-hppa linux-image-2.6.32-5-parisc linux-headers-2.6.32-5-parisc linux-image-2.6.32-5-parisc-smp linux-headers-2.6.32-5-parisc-smp linux-image-2.6.32-5-parisc64 linux-headers-2.6.32-5-parisc64 linux-image-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-parisc64-smp linux-headers-2.6.32-5-all-i386 linux-image-2.6.32-5-486 linux-headers-2.6.32-5-486 linux-image-2.6.32-5-686 linux-headers-2.6.32-5-686 linux-image-2.6.32-5-686-bigmem linux-headers-2.6.32-5-686-bigmem linux-image-2.6.32-5-686-bigmem-dbg linux-image-2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-686 linux-image-2.6.32-5-openvz-686-dbg linux-image-2.6.32-5-vserver-686 linux-headers-2.6.32-5-vserver-686 linux-image-2.6.32-5-vserver-686-bigmem linux-headers-2.6.32-5-vserver-686-bigmem linux-image-2.6.32-5-vserver-686-bigmem-dbg linux-image-2.6.32-5-xen-686 linux-headers-2.6.32-5-xen-686 linux-image-2.6.32-5-xen-686-dbg xen-linux-system-2.6.32-5-xen-686 linux-headers-2.6.32-5-all-ia64 linux-image-2.6.32-5-itanium linux-headers-2.6.32-5-itanium linux-image-2.6.32-5-mckinley linux-headers-2.6.32-5-mckinley linux-image-2.6.32-5-vserver-itanium linux-headers-2.6.32-5-vserver-itanium linux-image-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-vserver-mckinley linux-headers-2.6.32-5-all-m68k linux-image-2.6.32-5-amiga linux-headers-2.6.32-5-amiga linux-image-2.6.32-5-atari linux-headers-2.6.32-5-atari linux-image-2.6.32-5-bvme6000 linux-headers-2.6.32-5-bvme6000 linux-image-2.6.32-5-mac linux-headers-2.6.32-5-mac
 linux-image-2.6.32-5-mvme147 linux-headers-2.6.32-5-mvme147 linux-image-2.6.32-5-mvme16x linux-headers-2.6.32-5-mvme16x linux-headers-2.6.32-5-all-mips linux-image-2.6.32-5-r4k-ip22 linux-headers-2.6.32-5-r4k-ip22 linux-image-2.6.32-5-r5k-ip32 linux-headers-2.6.32-5-r5k-ip32 linux-image-2.6.32-5-sb1-bcm91250a linux-headers-2.6.32-5-sb1-bcm91250a linux-image-2.6.32-5-sb1a-bcm91480b linux-headers-2.6.32-5-sb1a-bcm91480b linux-image-2.6.32-5-4kc-malta linux-headers-2.6.32-5-4kc-malta linux-image-2.6.32-5-5kc-malta linux-headers-2.6.32-5-5kc-malta linux-headers-2.6.32-5-all-mipsel linux-image-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-r5k-cobalt linux-headers-2.6.32-5-all-powerpc linux-image-2.6.32-5-powerpc linux-headers-2.6.32-5-powerpc linux-image-2.6.32-5-powerpc-smp linux-headers-2.6.32-5-powerpc-smp linux-image-2.6.32-5-powerpc64 linux-headers-2.6.32-5-powerpc64 linux-image-2.6.32-5-vserver-powerpc linux-headers-2.6.32-5-vserver-powerpc
 linux-image-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-vserver-powerpc64 linux-headers-2.6.32-5-all-s390 linux-image-2.6.32-5-s390x linux-headers-2.6.32-5-s390x linux-image-2.6.32-5-s390x-tape linux-image-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-vserver-s390x linux-headers-2.6.32-5-all-sh4 linux-image-2.6.32-5-sh7751r linux-headers-2.6.32-5-sh7751r linux-image-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-sh7785lcr linux-headers-2.6.32-5-all-sparc linux-image-2.6.32-5-sparc64 linux-headers-2.6.32-5-sparc64 linux-image-2.6.32-5-sparc64-smp linux-headers-2.6.32-5-sparc64-smp linux-image-2.6.32-5-vserver-sparc64 linux-headers-2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-all-sparc64
Architecture: source all i386
Version: 2.6.32-35squeeze1
Distribution: stable-security
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: dann frazier <dannf@debian.org>
Description: 
 firmware-linux-free - Binary firmware for various drivers in the Linux kernel
 linux-base - Linux image base package
 linux-doc-2.6.32 - Linux kernel specific documentation for version 2.6.32
 linux-headers-2.6.32-5-486 - Header files for Linux 2.6.32-5-486
 linux-headers-2.6.32-5-4kc-malta - Header files for Linux 2.6.32-5-4kc-malta
 linux-headers-2.6.32-5-5kc-malta - Header files for Linux 2.6.32-5-5kc-malta
 linux-headers-2.6.32-5-686 - Header files for Linux 2.6.32-5-686
 linux-headers-2.6.32-5-686-bigmem - Header files for Linux 2.6.32-5-686-bigmem
 linux-headers-2.6.32-5-all - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-alpha - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-amd64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-armel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-hppa - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-i386 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-ia64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-m68k - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mips - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-mipsel - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-powerpc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-s390 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sh4 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-all-sparc64 - All header files for Linux 2.6.32 (meta-package)
 linux-headers-2.6.32-5-alpha-generic - Header files for Linux 2.6.32-5-alpha-generic
 linux-headers-2.6.32-5-alpha-legacy - Header files for Linux 2.6.32-5-alpha-legacy
 linux-headers-2.6.32-5-alpha-smp - Header files for Linux 2.6.32-5-alpha-smp
 linux-headers-2.6.32-5-amd64 - Header files for Linux 2.6.32-5-amd64
 linux-headers-2.6.32-5-amiga - Header files for Linux 2.6.32-5-amiga
 linux-headers-2.6.32-5-atari - Header files for Linux 2.6.32-5-atari
 linux-headers-2.6.32-5-bvme6000 - Header files for Linux 2.6.32-5-bvme6000
 linux-headers-2.6.32-5-common - Common header files for Linux 2.6.32-5
 linux-headers-2.6.32-5-common-openvz - Common header files for Linux 2.6.32-5-openvz
 linux-headers-2.6.32-5-common-vserver - Common header files for Linux 2.6.32-5-vserver
 linux-headers-2.6.32-5-common-xen - Common header files for Linux 2.6.32-5-xen
 linux-headers-2.6.32-5-iop32x - Header files for Linux 2.6.32-5-iop32x
 linux-headers-2.6.32-5-itanium - Header files for Linux 2.6.32-5-itanium
 linux-headers-2.6.32-5-ixp4xx - Header files for Linux 2.6.32-5-ixp4xx
 linux-headers-2.6.32-5-kirkwood - Header files for Linux 2.6.32-5-kirkwood
 linux-headers-2.6.32-5-mac - Header files for Linux 2.6.32-5-mac
 linux-headers-2.6.32-5-mckinley - Header files for Linux 2.6.32-5-mckinley
 linux-headers-2.6.32-5-mvme147 - Header files for Linux 2.6.32-5-mvme147
 linux-headers-2.6.32-5-mvme16x - Header files for Linux 2.6.32-5-mvme16x
 linux-headers-2.6.32-5-openvz-686 - Header files for Linux 2.6.32-5-openvz-686
 linux-headers-2.6.32-5-openvz-amd64 - Header files for Linux 2.6.32-5-openvz-amd64
 linux-headers-2.6.32-5-orion5x - Header files for Linux 2.6.32-5-orion5x
 linux-headers-2.6.32-5-parisc - Header files for Linux 2.6.32-5-parisc
 linux-headers-2.6.32-5-parisc-smp - Header files for Linux 2.6.32-5-parisc-smp
 linux-headers-2.6.32-5-parisc64 - Header files for Linux 2.6.32-5-parisc64
 linux-headers-2.6.32-5-parisc64-smp - Header files for Linux 2.6.32-5-parisc64-smp
 linux-headers-2.6.32-5-powerpc - Header files for Linux 2.6.32-5-powerpc
 linux-headers-2.6.32-5-powerpc-smp - Header files for Linux 2.6.32-5-powerpc-smp
 linux-headers-2.6.32-5-powerpc64 - Header files for Linux 2.6.32-5-powerpc64
 linux-headers-2.6.32-5-r4k-ip22 - Header files for Linux 2.6.32-5-r4k-ip22
 linux-headers-2.6.32-5-r5k-cobalt - Header files for Linux 2.6.32-5-r5k-cobalt
 linux-headers-2.6.32-5-r5k-ip32 - Header files for Linux 2.6.32-5-r5k-ip32
 linux-headers-2.6.32-5-s390x - Header files for Linux 2.6.32-5-s390x
 linux-headers-2.6.32-5-sb1-bcm91250a - Header files for Linux 2.6.32-5-sb1-bcm91250a
 linux-headers-2.6.32-5-sb1a-bcm91480b - Header files for Linux 2.6.32-5-sb1a-bcm91480b
 linux-headers-2.6.32-5-sh7751r - Header files for Linux 2.6.32-5-sh7751r
 linux-headers-2.6.32-5-sh7785lcr - Header files for Linux 2.6.32-5-sh7785lcr
 linux-headers-2.6.32-5-sparc64 - Header files for Linux 2.6.32-5-sparc64
 linux-headers-2.6.32-5-sparc64-smp - Header files for Linux 2.6.32-5-sparc64-smp
 linux-headers-2.6.32-5-versatile - Header files for Linux 2.6.32-5-versatile
 linux-headers-2.6.32-5-vserver-686 - Header files for Linux 2.6.32-5-vserver-686
 linux-headers-2.6.32-5-vserver-686-bigmem - Header files for Linux 2.6.32-5-vserver-686-bigmem
 linux-headers-2.6.32-5-vserver-amd64 - Header files for Linux 2.6.32-5-vserver-amd64
 linux-headers-2.6.32-5-vserver-itanium - Header files for Linux 2.6.32-5-vserver-itanium
 linux-headers-2.6.32-5-vserver-mckinley - Header files for Linux 2.6.32-5-vserver-mckinley
 linux-headers-2.6.32-5-vserver-powerpc - Header files for Linux 2.6.32-5-vserver-powerpc
 linux-headers-2.6.32-5-vserver-powerpc64 - Header files for Linux 2.6.32-5-vserver-powerpc64
 linux-headers-2.6.32-5-vserver-s390x - Header files for Linux 2.6.32-5-vserver-s390x
 linux-headers-2.6.32-5-vserver-sparc64 - Header files for Linux 2.6.32-5-vserver-sparc64
 linux-headers-2.6.32-5-xen-686 - Header files for Linux 2.6.32-5-xen-686
 linux-headers-2.6.32-5-xen-amd64 - Header files for Linux 2.6.32-5-xen-amd64
 linux-image-2.6.32-5-486 - Linux 2.6.32 for old PCs
 linux-image-2.6.32-5-4kc-malta - Linux 2.6.32 for MIPS Malta
 linux-image-2.6.32-5-5kc-malta - Linux 2.6.32 for MIPS Malta (64-bit)
 linux-image-2.6.32-5-686 - Linux 2.6.32 for modern PCs
 linux-image-2.6.32-5-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM
 linux-image-2.6.32-5-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-686-bigmem
 linux-image-2.6.32-5-alpha-generic - Linux 2.6.32 for Alpha
 linux-image-2.6.32-5-alpha-legacy - Linux 2.6.32 for Alpha Legacy
 linux-image-2.6.32-5-alpha-smp - Linux 2.6.32 for Alpha SMP
 linux-image-2.6.32-5-amd64 - Linux 2.6.32 for 64-bit PCs
 linux-image-2.6.32-5-amd64-dbg - Debugging infos for Linux 2.6.32-5-amd64
 linux-image-2.6.32-5-amiga - Linux 2.6.32 for Amiga
 linux-image-2.6.32-5-atari - Linux 2.6.32 for Atari
 linux-image-2.6.32-5-bvme6000 - Linux 2.6.32 for BVM BVME4000 and BVME6000
 linux-image-2.6.32-5-iop32x - Linux 2.6.32 for IOP32x
 linux-image-2.6.32-5-itanium - Linux 2.6.32 for Itanium
 linux-image-2.6.32-5-ixp4xx - Linux 2.6.32 for IXP4xx
 linux-image-2.6.32-5-kirkwood - Linux 2.6.32 for Marvell Kirkwood
 linux-image-2.6.32-5-mac - Linux 2.6.32 for Macintosh
 linux-image-2.6.32-5-mckinley - Linux 2.6.32 for Itanium II
 linux-image-2.6.32-5-mvme147 - Linux 2.6.32 for Motorola MVME147
 linux-image-2.6.32-5-mvme16x - Linux 2.6.32 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.32-5-openvz-686 - Linux 2.6.32 for modern PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-686-dbg - Debugging infos for Linux 2.6.32-5-openvz-686
 linux-image-2.6.32-5-openvz-amd64 - Linux 2.6.32 for 64-bit PCs, OpenVZ support
 linux-image-2.6.32-5-openvz-amd64-dbg - Debugging infos for Linux 2.6.32-5-openvz-amd64
 linux-image-2.6.32-5-orion5x - Linux 2.6.32 for Marvell Orion
 linux-image-2.6.32-5-parisc - Linux 2.6.32 for 32-bit PA-RISC
 linux-image-2.6.32-5-parisc-smp - Linux 2.6.32 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.32-5-parisc64 - Linux 2.6.32 for 64-bit PA-RISC
 linux-image-2.6.32-5-parisc64-smp - Linux 2.6.32 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.32-5-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc-smp - Linux 2.6.32 for multiprocessor 32-bit PowerPC
 linux-image-2.6.32-5-powerpc64 - Linux 2.6.32 for 64-bit PowerPC
 linux-image-2.6.32-5-r4k-ip22 - Linux 2.6.32 for SGI IP22
 linux-image-2.6.32-5-r5k-cobalt - Linux 2.6.32 for Cobalt
 linux-image-2.6.32-5-r5k-ip32 - Linux 2.6.32 for SGI IP32
 linux-image-2.6.32-5-s390x - Linux 2.6.32 for IBM zSeries
 linux-image-2.6.32-5-s390x-tape - Linux 2.6.32 for IBM zSeries, IPL from tape
 linux-image-2.6.32-5-sb1-bcm91250a - Linux 2.6.32 for BCM91250A
 linux-image-2.6.32-5-sb1a-bcm91480b - Linux 2.6.32 for BCM91480B
 linux-image-2.6.32-5-sh7751r - Linux 2.6.32 for sh7751r
 linux-image-2.6.32-5-sh7785lcr - Linux 2.6.32 for sh7785lcr
 linux-image-2.6.32-5-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-sparc64-smp - Linux 2.6.32 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.32-5-versatile - Linux 2.6.32 for Versatile
 linux-image-2.6.32-5-vserver-686 - Linux 2.6.32 for modern PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem - Linux 2.6.32 for PCs with 4GB+ RAM, Linux-VServer support
 linux-image-2.6.32-5-vserver-686-bigmem-dbg - Debugging infos for Linux 2.6.32-5-vserver-686-bigmem
 linux-image-2.6.32-5-vserver-amd64 - Linux 2.6.32 for 64-bit PCs, Linux-VServer support
 linux-image-2.6.32-5-vserver-amd64-dbg - Debugging infos for Linux 2.6.32-5-vserver-amd64
 linux-image-2.6.32-5-vserver-itanium - Linux 2.6.32 for Itanium, Linux-VServer support
 linux-image-2.6.32-5-vserver-mckinley - Linux 2.6.32 for Itanium II, Linux-VServer support
 linux-image-2.6.32-5-vserver-powerpc - Linux 2.6.32 for uniprocessor 32-bit PowerPC, Linux-VServer suppo
 linux-image-2.6.32-5-vserver-powerpc64 - Linux 2.6.32 for 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.32-5-vserver-s390x - Linux 2.6.32 for IBM zSeries, Linux-VServer support
 linux-image-2.6.32-5-vserver-sparc64 - Linux 2.6.32 for uniprocessor 64-bit UltraSPARC, Linux-VServer su
 linux-image-2.6.32-5-xen-686 - Linux 2.6.32 for modern PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-686-dbg - Debugging infos for Linux 2.6.32-5-xen-686
 linux-image-2.6.32-5-xen-amd64 - Linux 2.6.32 for 64-bit PCs, Xen dom0 support
 linux-image-2.6.32-5-xen-amd64-dbg - Debugging infos for Linux 2.6.32-5-xen-amd64
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.32 - Linux kernel API manual pages for version 2.6.32
 linux-patch-debian-2.6.32 - Debian patches to version 2.6.32 of the Linux kernel
 linux-source-2.6.32 - Linux kernel source for version 2.6.32 with Debian patches
 linux-support-2.6.32-5 - Support files for Linux 2.6.32
 linux-tools-2.6.32 - Performance analysis tools for Linux 2.6.32
 xen-linux-system-2.6.32-5-xen-686 - Xen system with Linux 2.6.32 on modern PCs (meta-package)
 xen-linux-system-2.6.32-5-xen-amd64 - Xen system with Linux 2.6.32 on 64-bit PCs (meta-package)
Closes: 632923 633738
Changes: 
 linux-2.6 (2.6.32-35squeeze1) stable-security; urgency=high
 .
   [ dann frazier ]
   * Fix regression in fix for CVE-2011-1768 (Closes: #633738)
   * net: Fix memory leak/corruption on VLAN GRO_DROP (CVE-2011-1576)
   * taskstats: don't allow duplicate entries in listener mode (CVE-2011-2484)
   * NLM: Don't hang forever on NLM unlock requests (CVE-2011-2491)
   * Bluetooth: l2cap/rfcomm: fix 1 byte infoleak to userspace (CVE-2011-2492)
   * proc: restrict access to /proc/PID/io (CVE-2011-2495)
   * vm: fix vm_pgoff wrap in up/down stack expansions (CVE-2011-2496)
   * Bluetooth: Prevent buffer overflow in l2cap config request (CVE-2011-2497)
   * nl80211: fix check for valid SSID size in scan operations
   * net_sched: Fix qdisc_notify() (CVE-2011-2525)
   * gro: Only reset frag0 when skb can be pulled (CVE-2011-2723)
   * comedi: fix infoleak to userspace (CVE-2011-2909)
   * restrict access to /proc/pid/* after setuid exec (CVE-2011-1020)
   * cifs: fix possible memory corruption in CIFSFindNext (CVE-2011-3191)
   * befs: Validate length of long symbolic links (CVE-2011-2928)
   * perf overflow/perf_count_sw_cpu_clock crash (CVE-2011-2918)
 .
   [ Moritz Muehlenhoff ]
   * si4713-i2c: avoid potential buffer overflow on si4713 (CVE-2011-2700)
   * Switch to MD5 for sequence number generation (CVE-2011-3188)
 .
   [ Jonathan Nieder ]
   * perf: do not look at ./config for configuration (Closes: #632923)
     (CVE-2011-2905)
Checksums-Sha1: 
 f54a947ac02ab488d8c45ef21dd0ba3b8ded2e7f 7007 linux-2.6_2.6.32-35squeeze1.dsc
 fa0f65ff60223a0f08d15fccb01e67197df68be8 15132559 linux-2.6_2.6.32-35squeeze1.diff.gz
 1d765bf1ddc2fdf0cca3400092375629ddf4f400 6060736 linux-doc-2.6.32_2.6.32-35squeeze1_all.deb
 a3c47acd7181382e239ba4aa5a2aea48713db64c 2737340 linux-manual-2.6.32_2.6.32-35squeeze1_all.deb
 42540d9e79803d76f2370c00095bf34c360287b8 8352402 linux-patch-debian-2.6.32_2.6.32-35squeeze1_all.deb
 c0e31697f486c819596db585a844961e4f7e1c0e 65234970 linux-source-2.6.32_2.6.32-35squeeze1_all.deb
 01ec776f39678dad278fa8a3826d8d7333984886 162728 linux-support-2.6.32-5_2.6.32-35squeeze1_all.deb
 f6368d367f78bcd0d19c25880c31b329bf270691 151276 firmware-linux-free_2.6.32-35squeeze1_all.deb
 26b7ca7488d8c16f677efe872ef4a8280cf21e27 173350 linux-base_2.6.32-35squeeze1_all.deb
 5d59d27105ffa2680ca799f0b46a7adb9e98be99 27445538 linux-image-2.6.32-5-486_2.6.32-35squeeze1_i386.deb
 10f164e72360d983b05d0d1982670e8587c7241e 495598 linux-headers-2.6.32-5-486_2.6.32-35squeeze1_i386.deb
 787a346fffa17dfcef3dd4697e29382a155c4ee8 27587926 linux-image-2.6.32-5-686_2.6.32-35squeeze1_i386.deb
 61bc744da31dc733ac5837f5eb8fec817bc13090 496686 linux-headers-2.6.32-5-686_2.6.32-35squeeze1_i386.deb
 48dc69aee0b2d4fafc794aff798c613d36e36e7c 27786998 linux-image-2.6.32-5-686-bigmem_2.6.32-35squeeze1_i386.deb
 f8c17181f18cc94ce02e6c757259595f8cc04a41 417842922 linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-35squeeze1_i386.deb
 269cc7e51a8d0d1ec6e41815a41c3d6374a49e8f 537320 linux-headers-2.6.32-5-686-bigmem_2.6.32-35squeeze1_i386.deb
 b4095de90e0bbac9c5d9408ad513285f5f9fa0ea 28670298 linux-image-2.6.32-5-amd64_2.6.32-35squeeze1_i386.deb
 722abe3afcfeed8fdca34c56cf6be1aca440f509 491130 linux-headers-2.6.32-5-amd64_2.6.32-35squeeze1_i386.deb
 097421c0aeb12e3d371184f243812cc35b2d5346 3897368 linux-headers-2.6.32-5-common_2.6.32-35squeeze1_i386.deb
 74f9a6036280ed91d1c83d6a49ab77bec2238324 27930988 linux-image-2.6.32-5-openvz-686_2.6.32-35squeeze1_i386.deb
 618b4257971e45490bdb985d367250ffad089d0d 494317700 linux-image-2.6.32-5-openvz-686-dbg_2.6.32-35squeeze1_i386.deb
 0545c879f3e277b245df0780c85245a773ad3c51 562440 linux-headers-2.6.32-5-openvz-686_2.6.32-35squeeze1_i386.deb
 76b1f18fc145df6b62f9760925ee915f487bc28b 3949304 linux-headers-2.6.32-5-common-openvz_2.6.32-35squeeze1_i386.deb
 901568855937f7a98491d96c28df01a16694087b 146488 linux-headers-2.6.32-5-all_2.6.32-35squeeze1_i386.deb
 88b6e8d04be8767989b8e9210070dd45beaedf0a 146536 linux-headers-2.6.32-5-all-i386_2.6.32-35squeeze1_i386.deb
 452fc96720e47a158557b4895040a7eef2930598 843990 linux-libc-dev_2.6.32-35squeeze1_i386.deb
 d8787780c920329f393de832b1ba41780af5409a 320408 linux-tools-2.6.32_2.6.32-35squeeze1_i386.deb
 e13859ab72ff8864cab22eeab0db408481e3bb60 27647464 linux-image-2.6.32-5-vserver-686_2.6.32-35squeeze1_i386.deb
 b5e8b65463eae55e5266887c2df594f4265c7b99 497322 linux-headers-2.6.32-5-vserver-686_2.6.32-35squeeze1_i386.deb
 2b47c56733a8b9ade495b8db3cbb0774c309d789 27844064 linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-35squeeze1_i386.deb
 78fa17735254910f03478544331d8673d1ade09f 428573946 linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-35squeeze1_i386.deb
 0ecc87a9b942970f26914167d10d2d878ee9d19d 538260 linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-35squeeze1_i386.deb
 896ad06595d7a130f84c9688522a0deb3a013b97 3930552 linux-headers-2.6.32-5-common-vserver_2.6.32-35squeeze1_i386.deb
 b62695b181678e9ecec80f12715ca0d236d34f00 27869992 linux-image-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
 fb71dceac0a42f0b970f34a970508f45cfc0ac42 421379010 linux-image-2.6.32-5-xen-686-dbg_2.6.32-35squeeze1_i386.deb
 988e4f5ea7a3583c78f783f363d07460dc561a08 538910 linux-headers-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
 ff5b74d1676a498ca6ba7ca7e6b9d2221be5af24 146476 xen-linux-system-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
 35e92a7303c38c48cf96d892243a6f1f51ba055b 3915350 linux-headers-2.6.32-5-common-xen_2.6.32-35squeeze1_i386.deb
Checksums-Sha256: 
 47b804873a9c810b291b5c1b90904ab764dbebed6e73bab1d2775ad909ec048a 7007 linux-2.6_2.6.32-35squeeze1.dsc
 8833b77d83152a53ae2bae2914aae87f96d30e49723e07be2939dfb068155718 15132559 linux-2.6_2.6.32-35squeeze1.diff.gz
 950c9e93fef0d0864c19f31708d6228ccca27b9a08bba4ce44aa54efa9ec4d1c 6060736 linux-doc-2.6.32_2.6.32-35squeeze1_all.deb
 1e116bc3e4fabe05169dee8fdbf3cc561cb1fca9186f7c661acede744b6742af 2737340 linux-manual-2.6.32_2.6.32-35squeeze1_all.deb
 d5328526ea25c24ea7aaf2acac7071a7a941130801b1d953aebc487940d76cbd 8352402 linux-patch-debian-2.6.32_2.6.32-35squeeze1_all.deb
 573f5eff2f967c641f2ac6d96e6ed6a6c7d9b1bd38dbdeb83942672c650ee2ad 65234970 linux-source-2.6.32_2.6.32-35squeeze1_all.deb
 ef225153291e3e63d2f58e1ff41b85b4062d625abacc2128f44acce0caf1d749 162728 linux-support-2.6.32-5_2.6.32-35squeeze1_all.deb
 64f2c9502b2bf060a75e478fe6ad9b9181ae4f38e3d5adf8d0e424387a67ec3a 151276 firmware-linux-free_2.6.32-35squeeze1_all.deb
 ac47ba7c20c1014b35e32095ce305ad1395cad9fa876c9c59d70739fad39626e 173350 linux-base_2.6.32-35squeeze1_all.deb
 f6353e86c57c11aff57b142d9f7bb4ceafde1ae714e4bbd591ffcd563c2d886e 27445538 linux-image-2.6.32-5-486_2.6.32-35squeeze1_i386.deb
 030da3b48c5333c97f02add45e3529f4b66036d0762b464763764ab4469b3ce1 495598 linux-headers-2.6.32-5-486_2.6.32-35squeeze1_i386.deb
 76ebba136d3bbd01b6a8f5a95f29cd0fad81592f2c956451b424bea0b19c7aa4 27587926 linux-image-2.6.32-5-686_2.6.32-35squeeze1_i386.deb
 f7cdedbbf5cb22e3bc6009ce48133538f508b0888af1cebe7a1103cd77064cb7 496686 linux-headers-2.6.32-5-686_2.6.32-35squeeze1_i386.deb
 04e2586a40b8042ea86caf8c6489bf337d97edb9b770a284306c7b3c58f6615b 27786998 linux-image-2.6.32-5-686-bigmem_2.6.32-35squeeze1_i386.deb
 ce8c3230bfd339683f18bc125a1f56e112879b6407d50025711e91ebb1ce9628 417842922 linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-35squeeze1_i386.deb
 e30f85a77876b6bd058f627b7cb9311c33ba2ee67b45550981b9200b07aff4f2 537320 linux-headers-2.6.32-5-686-bigmem_2.6.32-35squeeze1_i386.deb
 9d33c784beddb16df7d3a1056b5e38052553264f9d61f580aa191140d16e3dbc 28670298 linux-image-2.6.32-5-amd64_2.6.32-35squeeze1_i386.deb
 bbe6687770c5120de89265743ec80f4404346d3da9c6166c0ae0a3530bc49cce 491130 linux-headers-2.6.32-5-amd64_2.6.32-35squeeze1_i386.deb
 e3593b403b6dc59bfab40e55a999ce8247e27192152d94b58d96f240eab063f2 3897368 linux-headers-2.6.32-5-common_2.6.32-35squeeze1_i386.deb
 3ac3ffc9e5c264adf053298db3b7421ad5e0fc4367ecc0e24f7ae48434f7141c 27930988 linux-image-2.6.32-5-openvz-686_2.6.32-35squeeze1_i386.deb
 1ee7f7f83b51e6365a0bd5aba56f22ac711db79b94d98448d865add36457f0ae 494317700 linux-image-2.6.32-5-openvz-686-dbg_2.6.32-35squeeze1_i386.deb
 883b81534d73cd41933703fa3cf2d246a8386992eaf4b9113b43ec8892e1fe80 562440 linux-headers-2.6.32-5-openvz-686_2.6.32-35squeeze1_i386.deb
 b5c8c0197e2972f5c9f44f62b99349966e957781ff00ad6916cd26a584f63b6b 3949304 linux-headers-2.6.32-5-common-openvz_2.6.32-35squeeze1_i386.deb
 01f7564523b51238e05ec2399c1645fb048c3ff91f54b1ab417de3028282b9ff 146488 linux-headers-2.6.32-5-all_2.6.32-35squeeze1_i386.deb
 a25a85ef7fdc1bf38017729a70c02457efc85a43532453c9e87880c610f7d7f3 146536 linux-headers-2.6.32-5-all-i386_2.6.32-35squeeze1_i386.deb
 431c01f97845c775869419aac13643f2fe8cd9ea4019089deda76bbdebdc9f24 843990 linux-libc-dev_2.6.32-35squeeze1_i386.deb
 817cedcf7eec250e247690e9df165513fad58d59f5a917ea5c88fdc4a8cf3f05 320408 linux-tools-2.6.32_2.6.32-35squeeze1_i386.deb
 82935a6d0163213589d56dd110a049abd971fcbf030af3453fbb4a6d9736cb06 27647464 linux-image-2.6.32-5-vserver-686_2.6.32-35squeeze1_i386.deb
 f1f0c073db6706db7d466e21fd87c14ececd9dfff2a09e6596de56d735812af8 497322 linux-headers-2.6.32-5-vserver-686_2.6.32-35squeeze1_i386.deb
 196d5cf9932c37da7158f887287e6414ea1c2894990fb8bbd64e60ff0a11cfd0 27844064 linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-35squeeze1_i386.deb
 be48090b5069182126893f9e286d1c25b7670a4368dd4595338c52cd3105c666 428573946 linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-35squeeze1_i386.deb
 1b2917947b837fae5c773ff4753089654dd44a3c7010c3ad9bd7201ddb509306 538260 linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-35squeeze1_i386.deb
 e3beb502d93a289f391f1f84c46715672943e0a42c0d8fdbe97a85d5372ff384 3930552 linux-headers-2.6.32-5-common-vserver_2.6.32-35squeeze1_i386.deb
 e2292013a6483ea58b627851128fce911a12b8a6267a8cb967cc841c749da815 27869992 linux-image-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
 98b8e3cab9a4daddbbd4b289b77458dd3ff8a718d5d08f2bd350ebd99ac9f1c4 421379010 linux-image-2.6.32-5-xen-686-dbg_2.6.32-35squeeze1_i386.deb
 f073c360ce66975b4738abd53a98358007ea69de14c4e50a3d2159f040027845 538910 linux-headers-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
 85c70d205b5c0c9471714ebf15094d1c1b475c15216fece3e5a032b90a276d50 146476 xen-linux-system-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
 44ea176b542246993894d0927acf1813db9d485bb992052589d50bee23da454b 3915350 linux-headers-2.6.32-5-common-xen_2.6.32-35squeeze1_i386.deb
Files: 
 564e96e6e139ae2895c1fb5d7871596e 7007 kernel optional linux-2.6_2.6.32-35squeeze1.dsc
 66449c52404dc4f207234ae2930b29c4 15132559 kernel optional linux-2.6_2.6.32-35squeeze1.diff.gz
 c6066acf9965a52718ccb2d853e0a620 6060736 doc optional linux-doc-2.6.32_2.6.32-35squeeze1_all.deb
 823b9fe2753e75b2d5712476f2aa8f81 2737340 doc optional linux-manual-2.6.32_2.6.32-35squeeze1_all.deb
 37df06c08df3c79a0c09554ccae49080 8352402 kernel optional linux-patch-debian-2.6.32_2.6.32-35squeeze1_all.deb
 2741a08bdd72314def4a038bf1d90dd0 65234970 kernel optional linux-source-2.6.32_2.6.32-35squeeze1_all.deb
 d03b448197aabcde792b71330738f196 162728 devel optional linux-support-2.6.32-5_2.6.32-35squeeze1_all.deb
 76b47cc4a9ba9c4ac12bc6f8fdf03671 151276 kernel optional firmware-linux-free_2.6.32-35squeeze1_all.deb
 96be3e4297c284fd03869d84ee64f7eb 173350 kernel optional linux-base_2.6.32-35squeeze1_all.deb
 94c37fce97709ac4f3cc039df2ce34ca 27445538 kernel optional linux-image-2.6.32-5-486_2.6.32-35squeeze1_i386.deb
 73be80e7c355a1f9be0e5d853df84b6b 495598 kernel optional linux-headers-2.6.32-5-486_2.6.32-35squeeze1_i386.deb
 4cc1207f11d339e3f53ce29fad740723 27587926 kernel optional linux-image-2.6.32-5-686_2.6.32-35squeeze1_i386.deb
 e796434269b0532906bf3e24aa1932a0 496686 kernel optional linux-headers-2.6.32-5-686_2.6.32-35squeeze1_i386.deb
 1042434adc86addcd9cf1b6526c64af5 27786998 kernel optional linux-image-2.6.32-5-686-bigmem_2.6.32-35squeeze1_i386.deb
 384be9a970be0c70dfdb91cee39dac32 417842922 debug extra linux-image-2.6.32-5-686-bigmem-dbg_2.6.32-35squeeze1_i386.deb
 d68fd106c2788a2fe2020254f7246107 537320 kernel optional linux-headers-2.6.32-5-686-bigmem_2.6.32-35squeeze1_i386.deb
 dc9d7014e3bb84486a96d2d7352d6935 28670298 kernel optional linux-image-2.6.32-5-amd64_2.6.32-35squeeze1_i386.deb
 99dbdaed7e2676b58946180a051a15eb 491130 kernel optional linux-headers-2.6.32-5-amd64_2.6.32-35squeeze1_i386.deb
 9c3cdef5e611c227574e2d76c0862a8f 3897368 kernel optional linux-headers-2.6.32-5-common_2.6.32-35squeeze1_i386.deb
 baa84f4c0245bc3d9faa3159b317258b 27930988 kernel optional linux-image-2.6.32-5-openvz-686_2.6.32-35squeeze1_i386.deb
 f7d127f5fa25448dc58e695d38494841 494317700 debug extra linux-image-2.6.32-5-openvz-686-dbg_2.6.32-35squeeze1_i386.deb
 316504c8d8e53b63e2d8a45f748b27cd 562440 kernel optional linux-headers-2.6.32-5-openvz-686_2.6.32-35squeeze1_i386.deb
 41027dcebb8174b747a162167ee89260 3949304 kernel optional linux-headers-2.6.32-5-common-openvz_2.6.32-35squeeze1_i386.deb
 ca0fcbacd8c5377d122919e73e1f1a38 146488 kernel optional linux-headers-2.6.32-5-all_2.6.32-35squeeze1_i386.deb
 04b5160adf6251335b1700418c98df4a 146536 kernel optional linux-headers-2.6.32-5-all-i386_2.6.32-35squeeze1_i386.deb
 f1a2192bb1b30f5a03474cec03809585 843990 devel optional linux-libc-dev_2.6.32-35squeeze1_i386.deb
 19ddaa9e230300396ab393b05dbb68d4 320408 kernel optional linux-tools-2.6.32_2.6.32-35squeeze1_i386.deb
 dc9efcda9f2ca4c20a613e31c5ab1587 27647464 kernel optional linux-image-2.6.32-5-vserver-686_2.6.32-35squeeze1_i386.deb
 04d2ab62cb2c63880c8da88667471e2e 497322 kernel optional linux-headers-2.6.32-5-vserver-686_2.6.32-35squeeze1_i386.deb
 00b138194bf6094a132fb44ff73197d1 27844064 kernel optional linux-image-2.6.32-5-vserver-686-bigmem_2.6.32-35squeeze1_i386.deb
 b8093cccc5bf918e512c0a8d734ae59c 428573946 debug extra linux-image-2.6.32-5-vserver-686-bigmem-dbg_2.6.32-35squeeze1_i386.deb
 0cebae40513ef907840402c843b24c89 538260 kernel optional linux-headers-2.6.32-5-vserver-686-bigmem_2.6.32-35squeeze1_i386.deb
 6d762f7e4cba66448153d448fb62e7b9 3930552 kernel optional linux-headers-2.6.32-5-common-vserver_2.6.32-35squeeze1_i386.deb
 de0c972b91b1df4b556ae2b6186a20df 27869992 kernel optional linux-image-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
 d2094245cbbe8f490427254a0e0130cb 421379010 debug extra linux-image-2.6.32-5-xen-686-dbg_2.6.32-35squeeze1_i386.deb
 1f4d9572e242dd080a40c8631a312d77 538910 kernel optional linux-headers-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
 ffee8d29353d67652f1f006744a79de9 146476 kernel optional xen-linux-system-2.6.32-5-xen-686_2.6.32-35squeeze1_i386.deb
 d6620ee25606c04b5cb290397db16d0a 3915350 kernel optional linux-headers-2.6.32-5-common-xen_2.6.32-35squeeze1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBAgAGBQJOXQnKAAoJEBv4PF5U/IZA63sP+gPEFe5kzMrHSVZ8G/hqiNwB
QRJwxKIN+7ajuC6/7CVStN9YR7f7WGFKg6/Vzq3ahjCI6pJphDGnT3a9FTN4flQe
HNAT4wS2NCrSQcxpDyy5qxyHMoEP5CENklaTfrQYEI+V1KfRQ3k5fTq7aDnuwLf8
ZIUWk6rjg/zoPuGL4oJ1NeBANdaTRhNwyFns+ehf7j4reRkfJvxdoe8J1nBbccCb
O5DVM3iYZTehOmjjhBgO13SH+K5O12qoQWjkq9PnAauGrYaJLwaKm5t2tV51NVG8
Flz0Fpq4cqmgMdOsJHWwlGPOxE4/j2azUfboxdfeEMAKpICFI97oCE2sqlx/4aju
6zDolbo8JPCCJGHhjet51Yg2Y/VNHmFu1Ya0QQUVgAz1sxFOAGho+QEBei189tzh
OTy2N7j5epoZ+8K0Q4tO3/oat/BJ6SqVtu3R8w7fHJu/I+eISGjVn7y68Ez3EG9M
JBxLnAKq0OH0R1hIfjtBLauGzuwxc5g/T2CiQHZyMp6zP8t2b4yKajbuo1dz8H8Q
HhY5sEC9SDelnL/CpbT60w+QxBOEi9E7NYTVDCv9cpgM+DHKlzBlT4WYZAK0vtau
GGnnCNp+hXg3j3eTweEniPouLrdiYzo/RuQ7zez0Qj9ZcvoC5AUmzaQP/5BoDB55
SSAvWLBJfX5eQK3Qk8UX
=VqF9
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 12 Oct 2011 07:32:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:07:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.